import request from '@/utils/request'

// 查询数据交换单位列表
export function listUnit(query) {
  return request({
    url: '/gx/unit/list',
    method: 'get',
    params: query
  })
}

// 查询数据交换单位详细
export function getUnit(id) {
  return request({
    url: '/gx/unit/' + id,
    method: 'get'
  })
}

// 新增数据交换单位
export function addUnit(data) {
  return request({
    url: '/gx/unit',
    method: 'post',
    data: data
  })
}

// 修改数据交换单位
export function updateUnit(data) {
  return request({
    url: '/gx/unit',
    method: 'put',
    data: data
  })
}

// 删除数据交换单位
export function delUnit(id) {
  return request({
    url: '/gx/unit/' + id,
    method: 'delete'
  })
}
